Page 1 of 3 123 LastLast
Results 1 to 10 of 27

Thread: KDE 4.12 - all fine

Hybrid View

  1. #1
    Join Date
    Jun 2008
    Location
    Stoney Stanton - England
    Posts
    1,108

    Default KDE 4.12 - all fine

    Just a quick heads up - I installed KDE 4.12 today (using opensuse 13.1) and everything seems fine

  2. #2
    Join Date
    Jun 2008
    Location
    Florida, USA
    Posts
    974

    Default Re: KDE 4.12 - all fine

    Seems OK (so far) with 12.3 as well
    Desk: i7-4790K Leap 15.1(x86_64)4.12.14-lp151.28.7-default KF5 59.0 Plasma 5.14.4 Qt 5.13.0
    Lap: HPDV7T i7 Leap 15.0(x86_64)4.12.14-lp151.28.7-default KF5 59.0 Plasma 5.14.4 Qt 5.13.0

  3. #3
    Join Date
    Aug 2010
    Location
    Bratislava, Slovakia
    Posts
    27

    Default Re: KDE 4.12 - all fine

    I have lot of conflicts on OpenSuse 12.3 x64 See: SUSE Paste

    And also there is no kdm-4.12 package (only kdm-4.11.4-1016.1.x86_64.rpm) in Index of /repositories/KDE:/Release:/412/openSUSE_12.3/x86_64

  4. #4

    Default Re: KDE 4.12 - all fine

    Quote Originally Posted by hlavki View Post
    I have lot of conflicts on OpenSuse 12.3 x64 See: SUSE Paste
    Well, python-sip and python-qt4 are not included in the 4.12 repo, so you should downgrade them to the versions from the standard repo:
    Code:
    install python-sip-4.14.6-1.4.1.x86_64 (with vendor change)
      obs://build.opensuse.org/KDE  -->  openSUSE
    
    install python-qt4-4.9.6-3.2.2.x86_64 (with vendor change)
      obs://build.opensuse.org/KDE  -->  openSUSE
    And also there is no kdm-4.12 package (only kdm-4.11.4-1016.1.x86_64.rpm) in Index of /repositories/KDE:/Release:/412/openSUSE_12.3/x86_64
    That is correct.
    Kde-workspace (where kdm is a part of) didn't (and won't) release a 4.12 version, it got frozen at 4.11 by KDE upstream. It will still receive bugfixes though.

  5. #5
    Join Date
    Jun 2008
    Location
    Florida, USA
    Posts
    974

    Default Re: KDE 4.12 - all fine

    Cloddy - On 12.3/KDE 4.12.0, at least one text file opened "readable" with Kwrite. Black text on white. I didn't do much with it.

    Henk - Understand what you are looking for/would like to see; me too. However, I can't begin to even scope the dimensions of a Test matrix for something as broad as KDE given the wide range of Applications, Languages and other variables.
    So Knurpht understood pretty well, perhaps a more correct statement on my part would have been "..fought thru a few dependency/version issues, made what appeared to be the right selections to preserve the system functionality I have use so far...".
    Alas, I am fairly certain I won't have touched 30% of the functionality of KDE 4.12.x when KDE 5 comes along.
    But I do like what I use, and congratulate the folks who keep making it better.
    Desk: i7-4790K Leap 15.1(x86_64)4.12.14-lp151.28.7-default KF5 59.0 Plasma 5.14.4 Qt 5.13.0
    Lap: HPDV7T i7 Leap 15.0(x86_64)4.12.14-lp151.28.7-default KF5 59.0 Plasma 5.14.4 Qt 5.13.0

  6. #6
    Join Date
    Aug 2010
    Location
    Bratislava, Slovakia
    Posts
    27

    Default Re: KDE 4.12 - all fine

    Thanks, can you also tell me please, where can I find libkgapi? thx

  7. #7

    Default Re: KDE 4.12 - all fine

    Quote Originally Posted by hlavki View Post
    Thanks, can you also tell me please, where can I find libkgapi? thx
    It's in the standard repo. The package name is libkgapi2-2.

    But why are you looking for it? It should be installed automatically by YaST/zypper...

  8. #8
    Join Date
    Aug 2010
    Location
    Bratislava, Slovakia
    Posts
    27

    Default Re: KDE 4.12 - all fine

    Quote Originally Posted by wolfi323 View Post
    It's in the standard repo. The package name is libkgapi2-2.

    But why are you looking for it? It should be installed automatically by YaST/zypper...
    There is no libkgapi2-2 package for opensuse 12.3. I think you meant 13.1

  9. #9

    Default Re: KDE 4.12 - all fine

    Quote Originally Posted by hlavki View Post
    There is no libkgapi2-2 package for opensuse 12.3. I think you meant 13.1
    Right, I forgot that you are on 12.3, sorry.

    12.3 comes with libkgapi0, isn't that enough? The KDE 4.12 packages should be compiled against the standard distro.
    You may have to remove libkgapi1 or libkgapi2-2 though if you used the 4.11 repo before, maybe there's some conflict.

  10. #10

    Default Re: KDE 4.12 - all fine

    I have a problem, when try to do ./configure i get this:

    configure: loading site script /usr/share/site/x86_64-unknown-linux-gnu
    checking build system type... x86_64-unknown-linux-gnu
    checking host system type... x86_64-unknown-linux-gnu
    checking target system type... x86_64-unknown-linux-gnu
    checking for a BSD-compatible install... /usr/bin/install -c
    checking for -p flag to install... yes
    checking whether build environment is sane... yes
    checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
    checking for gawk... gawk
    checking whether make sets $(MAKE)... yes
    checking for kde-config... not found
    configure: error: The important program kde-config was not found!
    Please check whether you installed KDE correctly.


    I recent install KDE 4.12, and i don't know how fix it.
    Anyone can help me? i'm a little noob

Page 1 of 3 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •